<?php

namespace catchAdmin\device\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
use catchAdmin\device\model\get\StationGet;
class Station extends Model
{
    use DataRangScopeTrait;
    use StationGet;
    // 表名
    public $name = 'stations';
    // 数据库字段映射
    public $field = array(
        'id',
        // 基站Mac
        'mac',
        // 基站简码
        'shortcode',
        // 基站名称
        'name',
        // 基站型号
        'model',
        // 基站序列号
        'serial_number',
        // 所属部门
        'department_id',
        // 版本号
        'version',
        // 开局状态
        'open_status',
        // SIM卡号
        'sim_no',
        // 经度
        'longitude',
        // 纬度
        'latitude',
        // 在线时间
        'online_time',
        // 安装地址
        'address',
        // 备注
        'remark',
        // 开局时间
        'open_time',
        // 开局用户
        'open_user_id',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
     /**
     * 获取基站列表
     */
    public function getStationList($field, $order)
    {
        $res =  $this->dataRange()
            ->catchSearch()
            ->append(['depart_name', 'net_state', 'open_user_name', 'creator_name', 'model_text'])
            ->order($this->aliasField($field), $order)
            ->paginate();
        return $res;
    }
    /**
     * 获取基站导出列表
     */
    public function getStationExportList()
    {
        $res =  $this->dataRange()
            ->catchSearch()
            ->append(['depart_name', 'net_state','open_user_name', 'creator_name', 'model_text'])
            ->order($this->aliasField('id'), 'desc')
            ->select();
        return $res;
    }
}